Name:		halibut
Summary:	TeX-like software manual tool
Version:	1.1
Release:	%mkrel 2
License:	MIT
Group:		Text tools
URL:		http://www.chiark.greenend.org.uk/~sgtatham/halibut.html
Source:		http://www.chiark.greenend.org.uk/~sgtatham/%{name}/%{name}-%{version}.tar.gz

%description
Halibut is yet another text formatting system, intended primarily for
writing software documentation. It accepts a single source format and
outputs a variety of formats, planned to include text, HTML, Texinfo,
Windows Help, Windows HTMLHelp, PostScript and PDF. It has comprehensive
indexing and cross-referencing support, and generates hyperlinks within
output documents wherever possible.


%package	-n vim-halibut
Summary:	Syntax file for the halibut manual tool
Group:		Editors
Requires:	vim-common
BuildArch:	noarch

%description -n vim-halibut
This package provides vim syntax support for Halibut input files (*.but).


%prep
%autosetup


%build
sed -i 's/CFLAGS += -g/CFLAGS += /g' Makefile
export CFLAGS="%{optflags}"
make VERSION="%{version}"
%make -C doc


%install
%makeinstall INSTALL="install -Dp"
install -d  html
install -pm 0644 doc/*.html html
install -d %{buildroot}%{_datadir}/vim/syntax
install -pm 0644 misc/halibut.vim %{buildroot}%{_datadir}/vim/syntax


%files
%doc LICENCE html
%{_bindir}/halibut
%{_mandir}/man1/*.1*

%files -n vim-halibut
%{_datadir}/vim/syntax/*.vim


%changelog
* Thu Mar 10 2016 luigiwalser <luigiwalser> 1.1-2.mga5
+ Revision: 988776
- 1.1

* Wed Oct 15 2014 umeabot <umeabot> 1.0-5.20100504svn8934.mga5
+ Revision: 741843
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-4.20100504svn8934.mga5
+ Revision: 680070
- Mageia 5 Mass Rebuild

  + sander85 <sander85>
    - Convert to %%autosetup

* Sun Jan 05 2014 pterjan <pterjan> 1.0-3.20100504svn8934.mga4
+ Revision: 564873
- Make it mass-rebuildable

* Thu Jun 30 2011 sander85 <sander85> 1.0-2.20100504svn8934.mga2
+ Revision: 116924
- add optflags back

* Thu Jun 30 2011 sander85 <sander85> 1.0-1.20100504svn8934.mga2
+ Revision: 116919
- just make
- try w/o optflags
- clean spec
- imported package halibut

